<script lang="ts">
import Vue from 'vue';
import MrktoForm from '../common/form.vue';

export default Vue.extend({
  name: 'ServicesForm',
  components: { MrktoForm },
  props: {
    data: {
      type: Object,
      required: true,
      default() {
        return {};
      },
    },
  },
});
</script>

<template>
  <section :id="data.id" class="support-service-form">
    <div class="support-service-form__container">
      <SlpTypography
        class="support-service-form__header"
        variant="heading2-bold"
        tag="h2"
      >
        {{ data.header }}
      </SlpTypography>
      <MrktoForm class="slp-pt-md-24" :data="data.form" />
    </div>
  </section>
</template>

<style scoped lang="scss">
.support-service-form {
  display: flex;
  justify-content: center;

  &__container {
    color: $color-surface-800;
    border: 1px solid;
    padding: $spacing-16;
    width: 100%;
    background:
      linear-gradient(90deg, #171321 0%, #171321 100%) padding-box,
      linear-gradient(90deg, #e2b6f1 0%, #a989f5 100%) border-box;
    border-radius: 4px 4px 90px 4px;
    border-image-source: linear-gradient(90deg, #e2b6f1 0%, #a989f5 100%);

    @media (min-width: $breakpoint-md) {
      padding: $spacing-64 $spacing-96;
      width: 80%;
    }
  }

  &__header {
    width: 80%;
    margin-bottom: $spacing-32;
  }

  :deep(.form_column) {
    padding: 0 !important;
  }

  :deep(.mktoForm) {
    fieldset {
      border: 0;
      margin-top: $spacing-32;
      padding: 0;

      legend {
        color: $color-surface-800;
        text-transform: lowercase;
        margin: 0 0 $spacing-8 0;
        font-size: $text-body-2;
        padding: 0;

        &::first-letter {
          text-transform: uppercase;
        }
      }
    }
  }

  :deep(.mktoForm .mktoButtonRow) {
    button {
      width: fit-content !important;
      font-size: $text-button-1;
    }
  }

  :deep(.mktoForm .mktoFieldWrap) {
    &:has(.mktoLogicalField) {
      display: flex;
      gap: 10px;
      flex-direction: row-reverse;
      align-items: center;

      .mktoLogicalField {
        width: 25px !important;
        margin: 0;
        input {
          min-height: 0;
        }
      }
    }

    &:has(#LblmktoCheckbox_58965_0) {
      display: flex;
      flex-direction: row;
      align-items: center;

      .mktoLogicalField {
        width: 100% !important;
        margin: 0 0 $spacing-16 0;
      }
    }
  }

  :deep(.mktoForm .mktoFormCol) {
    width: 100%;

    &:has(.mktoLogicalField) {
      display: flex;
      flex-wrap: wrap;
      width: 100%;

      @media (min-width: $breakpoint-md) {
        width: 80%;
      }

      label {
        font-size: $text-body-2 !important;
      }

      .mktoFormRow {
        width: 100%;

        @media (min-width: $breakpoint-md) {
          width: 50%;
        }

        .mktoOffset {
          display: none;
        }
      }
    }
  }

  :deep(.mktoForm .mktoFormRow) {
    &:has(#LblmktoCheckbox_46236_0),
    &:has(#commentCapture) {
      grid-column-start: 1;
      grid-column-end: 3;
    }

    &:has(#commentCapture) {
      textarea {
        height: 88px;
        min-height: 88px;
        margin-bottom: 20px;
      }
    }

    &:has(#LblmktoCheckbox_46236_0) {
      #LbloptIn {
        display: none;
      }
      .mktoFormCol,
      mktoLogicalField {
        width: 100% !important;
      }
    }

    select {
      -webkit-appearance: none !important;
      -moz-appearance: none !important;
      appearance: none !important;
      padding: $spacing-16;
      color: $color-text-200;
      background-image: url('/nuxt-images/icons/dropdown-chevron.svg');
      background-size: 10px;
      background-repeat: no-repeat;
      background-position: calc(100% - 10px) center;
    }
  }

  :deep(.mktoLogicalField.mktoCheckboxList.mktoHasWidth) {
    display: flex;

    input[type='checkbox'] {
      width: 16px !important;
    }

    label {
      margin-left: 0.5rem;
      display: flex;
      align-items: center;
      width: 300px;
    }
  }

  // Marketo form styling
  :deep(.form_column .form_container) {
    background: transparent;
    padding: 0 !important;

    .mktoGutter {
      display: none;
    }

    .mktoForm_container {
      @media (min-width: $breakpoint-lg) {
        display: grid;
        grid-template-columns: 1fr 1fr;
        column-gap: 30px;
        .mktoFormRow:nth-of-type(11) {
          grid-column: 1/3;
        }
        .mktoButtonRow {
          grid-column: 1/3;
        }
      }
    }

    label,
    .mktoErrorMsg {
      color: $color-surface-800;
    }
    .mktoAsterix {
      display: none;
    }
    .mktoButton {
      margin-top: 40px;
      background: $color-accent-500 !important;
      transition: all 0.3s;
      &:hover {
        background: $color-surface-900 !important;
        color: $color-text-300;
      }
    }
  }
}
</style>
